Test a notification channel
Sends a test notification to the channel and updates tracking fields.
POST
/notification-channels/{id}/test
Sends a test notification to the channel and updates tracking fields.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Test result
application/jsonsuccess
boolean
REQUIRED
error
string | null
401
Unauthorized
404
Not found
curl -X POST 'https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/test' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/test', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/test', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("POST", "https://hookstream.io/v1/notification-channels/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/test", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "success": true, "error": "<string>"}
API Playground
Try this endpoint
POST
/notification-channels/{id}/test